Skip to main content
POST
Get opt-out contact data

Headers

Accept
string

e.g. application/json

x-api-key
string

e.g. [Required] Partner specific API key provided by Birdeye for data exchange.

Path Parameters

businessId
number
required

Id of a business (Long).

Body

application/json
start
number
required

The start date format should be in milliseconds. If the start date is not set and the end date is provided, we will fetch data for 24 hours before the end date. If both are not provided, the latest 24 hours data will be fetched.

end
number
required

The end date format should be in milliseconds. If the end date is not set and the start date is provided, we will fetch data for 24 hours after the start date. If both are not provided, the latest 24 hours data will be fetched.

subscriptionStatus
any[]
required

Type of subscription update feed we want the data for. Like opted-out to get email and text optouts, and blocked for contacts getting blocked. If not provided, only opted-out updates will be returned, by default.

Response

OK

emailOptOut
any[]

All the contacts grouped under this field, which were opted out from email in the given duration

textOptOut
any[]

All the contacts grouped under this field, which were opted out from text in the given duration

blocked
any[]

All the contacts grouped under this field, which were blockedl in the given duration.